function y = mttflipud(x)
%MTTFLIPUD Flip matrix in up/down direction.
%
%   MTTFLIPUD(X) returns X flipped in the up/down direction, i.e., flipped
%   along the first dimension with all other dimensions preserved.
%
%   For example,
%
%     X(:,:,1) =  1   2   3     X(:,:,2) =  7   8   9
%                 4   5   6                10  11  12
%
%   becomes
%
%     X(:,:,1) =  4   5   6     X(:,:,2) = 10  11  12
%                 1   2   3                 7   8   9
%
%   See also MTTFLIPLR, ROT90, MTTFLIPDIM.

%   This program is a part of the MTT (MATLAB Tips & Tricks) Toolbox.
%   Copyright (c) 2002 Peter J. Acklam. All rights reserved.
%
%   This program is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.  See the file COPYING for details.
%
%   Author:      Peter J. Acklam
%   Time-stamp:  2003-03-31 18:31:50 +0200
%   E-mail:      pjacklam@online.no
%   URL:         http://home.online.no/~pjacklam

   error(nargchk(1, 1, nargin));

   y = mttflipdim(x, 1);
