function tf = mttnumlexgt(a, b)
%MTTNUMLEXGT Lexicographic greater than.
%
%   MTTNUMLEXGT(A, B) returns 1 if A is lexicographically greater than B,
%   and 0 otherwise.
%
%   See also GT.

%   This program is a part of the MTT (MATLAB Tips & Tricks) Toolbox.
%   Copyright (c) 2002 Peter J. Acklam. All rights reserved.
%
%   This program is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.  See the file COPYING for details.
%
%   Author:      Peter J. Acklam
%   Time-stamp:  2003-03-31 18:31:21 +0200
%   E-mail:      pjacklam@online.no
%   URL:         http://home.online.no/~pjacklam

   % check number of input arguments
   error(nargchk(2, 2, nargin));

   tf = mttnumlexcmp(a, b) > 0;
